Package org.eclipse.m2m.atl.engine.asm

## Class ASMXMLWriter

- java.lang.Object
- - org.eclipse.m2m.atl.engine.asm.ASMWriter
  - - org.eclipse.m2m.atl.engine.asm.ASMXMLWriter

    public class ASMXMLWriter
    extends ASMWriter

Writes ASM as XML.

### Constructor Summary

Constructors
`ASMXMLWriter​(java.io.PrintWriter out, boolean debug)` Creates a new asm writer.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `print​(ASM asm)`

### Methods inherited from class org.eclipse.m2m.atl.engine.asm.ASMWriter

`getConstantPool, getCPIndex`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ASMXMLWriter

    public ASMXMLWriter​(java.io.PrintWriter out,
                        boolean debug)

Creates a new asm writer.

Parameters:
  `out` - the writer
  `debug` - debugs instructions if true

### Method Detail

#### print

    public void print​(ASM asm)

Specified by:
  `print` in class `ASMWriter`
See Also:
  `ASMWriter.print(org.eclipse.m2m.atl.engine.asm.ASM)`